export declare const textShadows: {
    readonly none: "none";
    readonly '2xs': "0px 1px 0px rgb(0 0 0 / 0.15)";
    readonly xs: "0px 1px 1px rgb(0 0 0 / 0.2)";
    readonly sm: "0px 1px 0px rgb(0 0 0 / 0.075), 0px 1px 1px rgb(0 0 0 / 0.075), 0px 2px 2px rgb(0 0 0 / 0.075)";
    readonly md: "0px 1px 1px rgb(0 0 0 / 0.1), 0px 1px 2px rgb(0 0 0 / 0.1), 0px 2px 4px rgb(0 0 0 / 0.1)";
    readonly lg: "0px 1px 2px rgb(0 0 0 / 0.1), 0px 3px 2px rgb(0 0 0 / 0.1), 0px 4px 8px rgb(0 0 0 / 0.1)";
};
export type TextShadowSize = keyof typeof textShadows;
export declare const semanticTextShadowNames: readonly ["button-filled", "button-light", "button-default"];
export type SemanticTextShadowName = (typeof semanticTextShadowNames)[number];
export type SemanticTextShadowOverrides = Partial<Record<SemanticTextShadowName, string>>;
export declare function getTextShadowVarName(size: TextShadowSize): string;
export declare function getTextShadowVar(size: TextShadowSize): string;
export declare function generateTextShadowVariables(): Record<string, string>;
export declare function getSemanticTextShadowVarName(name: SemanticTextShadowName): string;
export declare function generateSemanticTextShadowVariables(overrides?: SemanticTextShadowOverrides): Record<string, string>;
